Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
application_configuration.c File Reference

Contains Zigbee Application Configuration methods. More...

`#include "../HAL/hal.h"`
`#include "application_configuration.h"`
`#include <stdint.h>`

## Functions
void | printApplicationConfiguration (struct applicationConfiguration ac)

## Detailed Description

Contains Zigbee Application Configuration methods.

An Application Configuration defines how the Module will function on the Zigbee Network. This includes which profile is used, which endpoints are used, whether you want binding, etc. This is used by both Simple API and AFZDO to configure the Module for the particular application. Simple API can register one applicationConfiguration. AFZDO can register multiple applicationConfigurations, each having its own endpoint. Refer to documentation for more information.

Note:
  if using Simple API, the method sapiRegisterGenericApplication() does most of what you need.
  if using AF, the method afRegisterGenericApplication() does most of what you need.
  binding is unsupported.
  to configure a Coordinator with one binding input cluster 0x0001, then configure the ac with:
  - ac.numberOfBindingInputClusters = 1;
  - ac.bindingInputClusters[0] = 0x0001;
  - ac.numberOfBindingOutputClusters = 0;
  to configure a Router with one binding output cluster 0x0001, then configure the ac with:
  - ac.numberOfBindingInputClusters = 0;
  - ac.numberOfBindingOutputClusters = 1;
  - ac.bindingOutputClusters[0] = 0x0001;

See also:
  sapiRegisterApplication() and sapiRegisterGenericApplication()
  afRegisterApplication() and afRegisterGenericApplication()

Rev:
  1642

Author:
  dsmith

Date:
  2012-10-31 11:17:04 -0700 (Wed, 31 Oct 2012)

# Support

Please refer to the wiki at www.anaren.com/air-wiki-zigbee for more information. Additional support is available via email at the following addresses:

- Questions on how to use the product: AIR@a.nosp@m.nare.nosp@m.n.com
- Feature requests, comments, and improvements: featu.nosp@m.rere.nosp@m.quest.nosp@m.s@te.nosp@m.slaco.nosp@m.ntro.nosp@m.ls.co.nosp@m.m
- Consulting engagements: sales.nosp@m.@tes.nosp@m.lacon.nosp@m.trol.nosp@m.s.com

# License

Copyright (c) 2012 Tesla Controls. All rights reserved. This Software may only be used with an Anaren A2530E24AZ1, A2530E24CZ1, A2530R24AZ1, or A2530R24CZ1 module. Redistribution and use in source and binary forms, with or without modification, are subject to the Software License Agreement in the file "anaren_eula.txt"

YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL ANAREN MICROWAVE OR TESLA CONTROLS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSE INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

void printApplicationConfiguration | ( | struct applicationConfiguration | ac | ) |

    Displays the applicationConfiguration in a human readable format

Parameters:

  ac | the applicationConfiguration to display

See also:
  applicationConfiguration